import {MEDIA_TYPES} from '../../lib/constants'

export type MediaItem = {
  id: number
  filename: string
  media_name: string
  media_type: number
  media_order?: number
}

export type ArticleItem = {
  id: number
  heading: string
  body: string
}

export type FieldType<T> = {
  label: string
  data: keyof T
  render?: (value: any) => React.ReactNode
}

export const articleFields: Array<FieldType<ArticleItem>> = [
  {label: 'Заголовок', data: 'heading'},
  {label: 'Контент', data: 'body'},
]

export const mediaFields: Array<FieldType<MediaItem>> = [
  {label: 'Название', data: 'media_name'},
  {
    label: 'Тип',
    data: 'media_type',
    render: (value: number) => MEDIA_TYPES.find((type) => type.value === value)?.label || value,
  },
]
