export interface RouteData {
	carrier: string;
	carrier_id: number;
	center_latitude: number;
	center_longitude: number;
	governor_appeal: number;
	id: number;
	path: [number, number][];
	rotate: number;
	route_direction: boolean;
	route_number: string;
	route_sys_number: string;
	scale_max: number;
	scale_min: number;
}

export interface StationTransferData {
	bus: string;
	metro_blue: string;
	metro_green: string;
	metro_orange: string;
	metro_purple: string;
	metro_red: string;
	train: string;
	tram: string;
	trolleybus: string;
}

export interface StationData {
	address: string;
	city_id?: number;
	description: string;
	id: number;
	latitude: number;
	longitude: number;
	name: string;
	offset_x: number;
	offset_y: number;
	system_name: string;
	transfers: StationTransferData;
}

export interface StationPatchData {
	station_id: number;
	offset_x: number;
	offset_y: number;
	transfers: StationTransferData;
}

export interface SightPatchData {
	sight_id: number;
	latitude: number;
	longitude: number;
}

export interface SightData {
	address: string;
	city: string;
	city_id: number;
	id: number;
	latitude: number;
	left_article: number;
	longitude: number;
	name: string;
	preview_media: number;
	thumbnail: string; // uuid
	watermark_lu: string; // uuid
	watermark_rd: string; // uuid
}