import { Stack, Typography } from "@mui/material";
import { useShow } from "@refinedev/core";
import { Show, TextFieldComponent } from "@refinedev/mui";
import { LinkedItems } from "../../components/LinkedItems";
import { ArticleItem, articleFields } from "./types";

export const SightShow = () => {
  const { query } = useShow({});
  const { data, isLoading } = query;
  const record = data?.data;

  const fields = [
    // {label: 'ID', data: 'id'},
    { label: "Название", data: "name" },
    // {label: 'Широта', data: 'latitude'}, #*
    // {label: 'Долгота', data: 'longitude'}, #*
    // {label: 'ID города', data: 'city_id'},
    { label: "Адрес", data: "address" },
    { label: "Город", data: "city" },
  ];

  return (
    <Show isLoading={isLoading}>
      <Stack gap={4}>
        {fields.map(({ label, data }) => (
          <Stack key={data} gap={1}>
            <Typography variant="body1" fontWeight="bold">
              {label}
            </Typography>
            <TextFieldComponent value={record?.[data]} />
          </Stack>
        ))}

        {record?.id && (
          <LinkedItems<ArticleItem>
            type="show"
            parentId={record.id}
            parentResource="sight"
            childResource="article"
            fields={articleFields}
            title="статьи"
          />
        )}
      </Stack>
    </Show>
  );
};
