import { Box, TextField, Typography, Paper } from "@mui/material";
import { Create } from "@refinedev/mui";
import { useForm } from "@refinedev/react-hook-form";
import { Controller, FieldValues } from "react-hook-form";
import React, { useState, useEffect } from "react";
import ReactMarkdown from "react-markdown";
import { MarkdownEditor } from "../../components/MarkdownEditor";
import "easymde/dist/easymde.min.css";
import { LanguageSelector } from "@ui";
import { observer } from "mobx-react-lite";
import {
  EVERY_LANGUAGE,
  Languages,
  languageStore,
  META_LANGUAGE,
} from "@stores";
import rehypeRaw from "rehype-raw";

const MemoizedSimpleMDE = React.memo(MarkdownEditor);

export const SnapshotCreate = observer(() => {
  const {
    saveButtonProps,
    refineCore: { formLoading, onFinish },
    register,
    control,
    watch,
    formState: { errors },
    setValue,
    handleSubmit,
  } = useForm();

  return (
    <Create isLoading={formLoading} saveButtonProps={saveButtonProps}>
      <Box sx={{ display: "flex", flex: 1, gap: 2 }}>
        {/* Форма создания */}
        <Box sx={{ display: "flex", flex: 1, flexDirection: "column", gap: 2 }}>
          <Box
            component="form"
            sx={{ flex: 1, display: "flex", flexDirection: "column" }}
            autoComplete="off"
          >
            <TextField
              {...register("Name", {
                required: "Это поле является обязательным",
              })}
              error={!!(errors as any)?.name}
              helperText={(errors as any)?.name?.message}
              margin="normal"
              fullWidth
              InputLabelProps={{ shrink: true }}
              type="text"
              label={"Название *"}
              name="Name"
            />
          </Box>
        </Box>
      </Box>
    </Create>
  );
});
