import { Stack, Typography } from "@mui/material";
import { useShow } from "@refinedev/core";
import { Show, TextFieldComponent } from "@refinedev/mui";

export const SnapshotShow = () => {
  const { query } = useShow({});
  const { data, isLoading } = query;
  const record = data?.data;

  const fields = [{ label: "Название", data: "Name" }];

  return (
    <Show isLoading={isLoading} canEdit={false}>
      <Stack gap={4}>
        {fields.map(({ label, data }) => (
          <Stack key={data} gap={1}>
            <Typography variant="body1" fontWeight="bold">
              {label}
            </Typography>
            <TextFieldComponent value={record?.[data]} />
          </Stack>
        ))}
      </Stack>
    </Show>
  );
};
