import dataProvider from "@refinedev/simple-rest";

import { TOKEN_KEY } from "@providers";

import axios from "axios";
import { languageStore } from "@stores";
export const axiosInstance = axios.create({
  baseURL: import.meta.env.VITE_KRBL_API,
});

axiosInstance.interceptors.request.use((config) => {
  // Добавляем токен авторизации
  const token = localStorage.getItem(TOKEN_KEY);
  if (token) {
    config.headers.Authorization = `Bearer ${token}`;
  }

  // Добавляем язык в кастомный заголовок

  config.headers["X-Language"] = config.headers["Accept-Language"];

  console.log("Request headers:", config.headers);

  return config;
});

const apiUrl = import.meta.env.VITE_KRBL_API;

export const customDataProvider = dataProvider(apiUrl, axiosInstance);
