import { makeAutoObservable } from "mobx";

export type Languages = "en" | "ru" | "zh";
class LanguageStore {
  language: Languages = "ru";

  constructor() {
    makeAutoObservable(this);
  }

  setLanguageAction = (language: Languages) => {
    this.language = language;
  };
}

export const languageStore = new LanguageStore();

export const META_LANGUAGE = (language: Languages) => {
  return {
    meta: {
      headers: {
        "Accept-Language": language,
      },
    },
  }
}

export const EVERY_LANGUAGE = (data: any) => {
  return {
    "en": data,
    "ru": data,
    "zh": data,
  }
}