import { makeAutoObservable } from "mobx";

class StationStore {
  stationModalOpen: boolean = false;
  selectedStationId: number | null = null;
  selectedRouteId: number | null = null;

  constructor() {
    makeAutoObservable(this);
  }

  setStationIdAction = (id: number) => {
    this.selectedStationId = id;
  };

  setRouteIdAction = (id: number) => {
    this.selectedRouteId = id;
  };

  setStationModalOpenAction = (open: boolean) => {
    this.stationModalOpen = open;
  };
}

export const stationStore = new StationStore();
